@charset "utf-8";


/* =========================================================
   hero area 
========================================================= */

#heroarea {
  position: relative;
  padding:60px 0 20px;
}

#heroarea.wrapper {
  max-width: 1280px;
  margin: 0 auto;
}

/* hero main---------------------------------------- */

#heroarea > .flex{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 60px;
  gap: 24px;
  padding: 0 20px;
}

#heroarea .left, 
#heroarea .right {
  width: 100%;
  text-align: center;
}

#heroarea .left img{
  width: 60%;
  max-width: 280px;
  height: auto;
}

#heroarea .main-title{
  font-size: 2.6rem;
  margin-bottom: 24px;
}
#heroarea .sub-title{
  font-size: 1.2rem;
  margin-bottom: 24px;
}
#heroarea .description{
  font-size: 0.8rem;
  line-height: 1.6;
}

/* filter---------------------------------------- */
#heroarea .filter-controls {
width: 100%;
margin-top: 20px;
}

#heroarea .filter-controls .flex{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 12px;
  padding: 0 10px;
}

.filter-item{
  width: 90px;
  text-align: center;
}

.filter-item img{
  width: 90px;
  height: 90px;
  object-fit: cover;
  border-radius: 50%;
  transition: transform 0.15s;
  cursor: pointer;
}

.filter-item img:hover{
  transform: translateY(-2px);
}

.filter-item img:active{
  transform: translateY(1px);
}

.filter-item .ss {
font-size: 0.7rem;
}

/* =========================================================
   smartphone landscape (431px〜)
========================================================= */

@media (min-width: 431px) {
  #heroarea .left img {
    width: 50%;
  }

  .filter-item {
    width: 100px;
  }

  .filter-item img {
    width: 100px;
    height: 110px;
  }
  
}

/* =========================================================
   tablet (768px〜)
========================================================= */

@media (min-width: 768px){
  #heroarea {
    padding: 80px 0 20px;
  }

  #heroarea > .flex {
    align-items: center;
    gap: 20px;
  }

    #heroarea .filter-controls {
    max-width: 720px;
    margin: 20px auto 0;
  }

    #heroarea .filter-controls .flex{
    gap: 20px;
    padding: 0 10px;
  }

  #heroarea .left {
    width: 100%;
    max-width: none;
  }
  #heroarea .left img {
    width: 50%;
    max-width: none;
  }

  #heroarea .right {
    width: 80%;
  }

  #heroarea .main-title {
    font-size: 3.5rem;
  }

  #heroarea .sub-title {
    font-size: 1.5rem;
  }

  #heroarea .description {
    font-size: 1.2rem;
  }

  .filter-item {
    width: 130px;
  }

  .filter-item img {
    width: 130px;
    height: 130px;
  }

  .filter-item .ss {
    font-size: 0.8rem;
  }

}

/* =========================================================
   PC (1024px〜)
========================================================= */

@media (min-width: 1024px) {


#heroarea > .flex{
  flex-direction: row;
  margin-bottom: 60px;
    gap: 20px;
  padding: 20px;
}

#heroarea .filter-controls {
  max-width: 1280px;
  margin: 20px auto 0;
  }

  #heroarea .filter-controls .flex
  {
    gap: 20px;
    padding: 0 10px;
  }

   #heroarea .left {
    width: 40%;
    max-width: none;
  }
   #heroarea .left img {
    width: 80%;
  }

  #heroarea .right {
    width: 65%;
    text-align: left;
  }

  #heroarea .main-title {
    font-size: 5rem;
  }

  #heroarea .sub-title {
    font-size: 2rem;
  }

  #heroarea .description {
    font-size: 1.15rem;
  }

  .filter-item {
    width: 150px;
  }

  .filter-item img {
    width: 150px;
    height: 150px;
  }

  .filter-item .ss {
    font-size: 0.9rem;
  }
}


/* ======================================
   gallery - base
====================================== */
:root {
  --gallery-column-width: 180px;
  --gallery-gutter: 10px;
  --gallery-item-height: 240px;
}

.gallery-null-pc {
  display: block;
}
.gallery-null-sp {
  display: none;
}

#gallery-container.wrapper {
  max-width: 1080px;
  margin: 40px auto;
  box-sizing: border-box;
  padding: 0;
}

.gallery-grid {
  position: relative;
  margin: 0;
  display: block;
  width: 100%;
}

.grid-sizer {
  width: var(--gallery-column-width);
}


.gallery-item{
  width: var(--gallery-column-width);
  height: var(--gallery-item-height);
  margin-bottom: var(--gallery-gutter);
  overflow: hidden;
  box-sizing: border-box;
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


/* 標準サイズ */
.gallery-item.grid-item {
  width: var(--gallery-column-width);
}

/* 横に2倍 */
.gallery-item.w2 {
    width: calc(var(--gallery-column-width) * 2 + var(--gallery-gutter));
}
/* 縦に2倍 */
.gallery-item.h2 {
    min-height: calc(var(--gallery-item-height) * 2 + var(--gallery-gutter));
}

/* 横に2倍縦2倍 */
.gallery-item.w2.h2 {
  width: calc(var(--gallery-column-width) * 2 + var(--gallery-gutter));
  height: calc(var(--gallery-item-height) * 2 + var(--gallery-gutter));
}

/* フィルター後 */
.is-filtered-grid {
  width: var(--gallery-column-width);
  height: var(--gallery-item-height);
}


@keyframes tilt {
  0% {transform: rotate(0deg);}
  100% {transform: rotate(1deg);}
}

.gallery-item:hover{
  animation: tilt 0.1s ease-in-out alternate;
  animation-iteration-count: 4;
}

.details-content {
  display: none;
}

/* ======================================
   SP縦（〜430px）
====================================== */

@media (max-width: 430px){
.gallery-null-pc {
  display: none;
}
.gallery-null-sp {
  display: block;
}

  #gallery-container.wrapper {
    max-width: 100%;
    width: 100%;
    margin: 40px auto;
  }
}

/* ======================================
   SP横（431px~767px）
====================================== */

@media (min-width: 431px) and (max-width: 767px) {
.gallery-null-pc {
  display: none;
}
.gallery-null-sp {
  display: block;
}

  #gallery-container.wrapper {
    max-width: 100%;
    width: 100%;
    margin: 40px auto;
  }
}

/* ======================================
   tablet(768px~1023px)
====================================== */
@media (min-width: 768px) and (max-width: 1023px){
.gallery-null-pc {
  display: none;
}
.gallery-null-sp {
  display: block;
}

  #gallery-container.wrapper {
    max-width: 1023px;
    width: 100%;
    margin: 40px auto;
  }
}

/* ======================================
   PC(1024px~)
====================================== */
@media  (min-width: 1024px){
.gallery-null-pc {
  display: block;
}
.gallery-null-sp {
  display: none;
}

#gallery-container.wrapper {
  max-width: 1080px;
}
}


/* modal : base only================================== */

#imageModal {
  position: fixed;
  inset: 0;
  z-index: 1000;
  display:flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.6s ease, visibility 0.6s ease;
  pointer-events: none;
}

#imageModal.is-open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}


.modal-content {
  background-color: #fffff0;
  border-radius: 3px;
  position: relative;
}

.modal-content:before{
  position:absolute;
  content:'';
  display: block;
  width: 100%;
  height: 20px;
  top:0;
  left: 0;
  background-image: url(/img/square_line.png);
  background-size: contain;
}
.modal-content:after{
  position:absolute;
  content:'';
  display: block;
  width: 100%;
  height: 20px;
  bottom:0;
  left: 0;
  background-image: url(/img/square_line.png);
  background-size: contain;
}

.close-btn {
  width: 24px;
  height: 24px;
  background-color: rgba(255, 255, 255, 0.8);
  border: none;
  box-shadow: 2px 2px rgba(0, 0, 0, 0.5);
  border-radius: 20%;
  font-size: 24px;
  text-shadow: 
  1px 1px 0 rgba(255, 255, 255, 0.5),
  1px -1px 0 rgba(255, 255, 255, 0.5),
  1px 1px 0 rgba(255, 255, 255, 0.5),
  -1px -1px 0 rgba(255, 255, 255, 0.5);
  color: rgba(0, 0, 0,0.8);
  font-family: "Reggae One", "Noto Sans JP", sans-serif;
  position: absolute;
  top: 25px;
  right: 10px;
  cursor: pointer;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 5px;
  line-height: 1;
  transition: 0.15s;
}

.close-btn:hover,
.close-btn:focus {
  color: #000;
  opacity: 0.9;
  transform: scale(1.2);
  transform: translateY(-1.5px);
}

.close-btn:active {
  transform: scale(0.8);
  transform: translateY(1.5px);
}

#modalTitle {
     font-size: 1.5rem;
}


#modalDescription {
  font-size: 1rem;
  line-height: 1.6;
  white-space: pre-wrap;
}


@keyframes showScrollHint {
  0% {
    opacity: 0;
    transform: translate(-50%, 10px);
  }
  15% {
    opacity: 0.8;
    transform: translate(-50%, 0);
  }
  60% {
    opacity: 0.8;
    transform: translate(-50%, 0);
  }
  100% {
    opacity: 0;
    transform: translate(-50%, -5px);
  }
}



/* ======================================
   about- base
====================================== */

#about {
  margin-top: 100px;
}

#about .top {
  padding-top: 40px;
  position: relative;
  text-align: center;
}

#about .top::before,
#about .top::after {
  position: absolute;
  content:'';
  top: 10px;
  transform: translateX(-50%);
  background-size: contain;
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
}

  #about .top::before {
    background-image: url("/img/zousan_orange.png");
    left: calc(50% - 90px);
  }

  #about .top::after {
    background-image: url("/img/zousan_pink.png");
    left: calc(50% + 90px);
  }

#about .flex {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
}

#about .flex .left,
#about .flex .right {
  width: 15%;
  text-align: center;
}

#about .flex .center {
  width: 50%;
  padding: 0 20px;
}


#about .flex .left img, 
#about .flex .right img {
  width: 100px;
} 

/* =========================================================
   smartphone (~430px)
========================================================= */
@media (max-width: 430px) {
  #about .top {
    font-size: 1rem;
    padding-top: 10px;
    margin-bottom: 0.5rem;
  }

  #about .top::before,
  #about .top::after {
    width: 24px;
    height: 24px;
  }

  #about .top::before {left: 15%;}
  #about .top::after {left: 85%;}

  #about .flex .left,
  #about .flex .right {
    display: none;
  }

  #about .flex .center {
    width: 90%;
    padding: 0;
  }
}

/* =========================================================
   smartphone landscape (431px〜767px)
========================================================= */

@media (min-width: 431px) and (max-width: 767px) {
  #about .top {
    font-size: 1.1rem;
    padding-top: 10px;
  }

  #about .top::before,
  #about .top::after {
    width: 28px;
    height: 28px;
  }

  #about .top::before {left: 28%;}
  #about .top::after {left: 72%;}

  #about .flex .left,
  #about .flex .right {
    display: none;
  }

  #about .flex .center {
    width: 85%;
    padding: 0 10px;
  }
}

/* =========================================================
    tablet (768px~1023px)
========================================================= */

@media (min-width: 768px) and (max-width: 1023px) {
  #about {
    margin-top: 80px;
  }
  #about .top {
    font-size: 1.3rem;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  #about .top::before,
  #about .top::after {
    width: 32px;
    height: 32px;
  }

  #about .top::before {left: 30%;}
  #about .top::after {left: 70%;}

  #about .flex .left,
  #about .flex .right {
    display: none;
  }

  #about .flex .center {
    width: 80%;
    padding: 0 10px;
  }
}

/* =========================================================
  PC (1024px~)
========================================================= */

@media (min-width: 1024px) {
 #about .top {
    font-size: 1.6rem;
    padding-bottom: 10px;
  }

  #about .top::before,
  #about .top::after {
    display: none;
  }

  #about .top::before {left: 30%;}
  #about .top::after {left: 70%;}

    #about .flex .left,
    #about .flex .right {
    display: block;
  }
}

/* ======================================
   about accordion - base（全端末共通）
====================================== */


#about .accordion-item {
  margin: 0 auto;
  text-align: center;
  width: 60%;
}

#about .accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-in-out;
  margin: 20px 0;
  background-color: #fff8dc;
}

#about .accordion-content .line{
 width: 100%;
 height: auto;
}

#about .accordion-content .item {
margin-top: 10px;
margin-bottom: 1rem;
text-align: center;
}

#about .accordion-content .item:first-child {
margin-top: 20px;
}

#about .accordion-content .icon{
 width: 20px;
 height: auto;
 margin-right: 5px;
 box-sizing: border-box;
vertical-align: bottom;
}

#about .accordion-content.active {
  max-height: 800px;
  padding-bottom: 40px;
}


.accordion-title {
  cursor: pointer;
}

.accordion-title img{
  width: 20px;
  height: auto;
  vertical-align: text-bottom;
  margin-right: 5px;
}



/* ======================================
   SP縦（〜430px）
====================================== */

@media (max-width: 430px) {
  #about .accordion-item {
    width: 90%;
     }

  #about .accordion-content.active {
    padding-left: 10px;
    padding-right: 10px;
  }
}

/* ======================================
   SP横（430px~767px）
====================================== */
@media (min-width: 431px) and (max-width: 767px) {
    #about .accordion-item {
    width: 85%;
     }

  #about .accordion-content.active {
    padding-left: 10px;
    padding-right: 10px;
  }
}

/* ======================================
   tablet(768px~1023px)
====================================== */
@media (min-width: 768px) and (max-width: 1023px) {
    #about .accordion-item {
    width: 75%;
     }

  #about .accordion-content.active {
    padding-left: 15px;
    padding-right: 15px;
  }
}
/* ======================================
   PC(1024px~)
====================================== */
@media (min-width: 1024px)  {
    #about .accordion-item {
    width: 50%;
     }
}

